Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.ToolBarArea

    java.lang.Object
      java.lang.Enum<Qt.ToolBarArea>
          com.trolltech.qt.core.Qt.ToolBarArea

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.ToolBarArea>

Enclosing interface:
  Qt

    public static enum Qt.ToolBarArea

extends java.lang.Enum<Qt.ToolBarArea>
implements QtEnumerator

Press link for info on Qt.ToolBarArea

Enum Constant Summary
`BottomToolBarArea` Internal.
`LeftToolBarArea` Internal.
`NoToolBarArea` Internal.
`RightToolBarArea` Internal.
`ToolBarArea_Mask` Internal.
`TopToolBarArea` Internal.

Method Summary
`static Qt.ToolBarAreas` | `createQFlags(Qt.ToolBarArea... values)`
`static Qt.ToolBarArea` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ToolBarArea` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.ToolBarArea[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LeftToolBarArea

    public static final Qt.ToolBarArea LeftToolBarArea

  Internal.

### RightToolBarArea

    public static final Qt.ToolBarArea RightToolBarArea

  Internal.

### TopToolBarArea

    public static final Qt.ToolBarArea TopToolBarArea

  Internal.

### BottomToolBarArea

    public static final Qt.ToolBarArea BottomToolBarArea

  Internal.

### ToolBarArea_Mask

    public static final Qt.ToolBarArea ToolBarArea_Mask

  Internal.

### NoToolBarArea

    public static final Qt.ToolBarArea NoToolBarArea

  Internal.

Method Detail

### values

    public static final Qt.ToolBarArea[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.ToolBarArea c : Qt.ToolBarArea.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.ToolBarArea valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.ToolBarAreas createQFlags(Qt.ToolBarArea... values)

### resolve

    public static Qt.ToolBarArea resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD